import _ from 'lodash';

const menus = [
  {
    id: '1',
    path: '/app',
    name: '应用开发',
    title: '应用开发',
    icon: 'icon-appstore',
    type: 'native',
  },
  {
    id: '2',
    path: '/email',
    name: '邮箱',
    title: '邮箱',
    icon: 'icon-check-square',
    type: 'native',
  },
  {
    id: '3',
    path: '/workbench',
    name: '工作台',
    title: '工作台',
    icon: 'icon-laptop',
    type: 'native',
  },
  {
    id: '4',
    path: '/idm/tenantManagement',
    name: '租户管理',
    title: '租户管理',
    icon: 'icon-laptop',
    type: 'native',
  },
  {
    id: '5',
    path: '/idm/orgManagement',
    name: '组织管理',
    title: '组织管理',
    icon: 'icon-laptop',
    type: 'native',
  },
  {
    id: '6',
    path: '/idm/posiManagement',
    name: '岗位管理',
    title: '岗位管理',
    icon: 'icon-laptop',
    type: 'native',
  },
  {
    id: '7',
    path: '/idm/groupManagement',
    name: '群组管理',
    title: '群组管理',
    icon: 'icon-laptop',
    type: 'native',
  },
  {
    id: '8',
    path: '/idm/posiGroupManagement',
    name: '岗位组管理',
    title: '岗位组管理',
    icon: 'icon-laptop',
    type: 'native',
  },
  {
    id: '9',
    path: '/idm/roleManagement',
    name: '角色管理',
    title: '角色管理',
    icon: 'icon-laptop',
    type: 'native',
  },
  {
    id: '10',
    path: '/idm/appManagement',
    name: '应用管理',
    title: '应用管理',
    icon: 'icon-laptop',
    type: 'native',
  },
  {
    id: '11',
    path: '/idm/resourceManagement',
    name: '资源管理',
    title: '资源管理',
    icon: 'icon-laptop',
    type: 'native',
  },
  {
    id: '12',
    path: '/idm/resGroupManagement',
    name: '资源组管理',
    title: '资源组管理',
    icon: 'icon-laptop',
    type: 'native',
  },
];

export default {
  // 支持值为 Object 和 Array
  'GET /gateway/idm/api/menus': {
    code: 0,
    message: '成功',
    data: menus,
  },
  'GET /gateway/idm/api/menus/:appId/menu': (req: any, res: any) => {
    const { appId } = req.params;
    if (appId) {
      const result = _.filter(menus, (m) => m.appId === appId);
      res.send({
        code: 0,
        message: '成功',
        data: result,
      });
    } else {
      res.end();
    }
  },
  'GET /gateway/idm/api/menus/:id': (req: any, res: any) => {
    const { id } = req.params;
    if (id) {
      const menu = _.find(menus, (m) => menu.id === id);
      res.send({
        code: 0,
        message: '成功',
        data: menu,
      });
    } else {
      res.end();
    }
  },
  'GET /gateway/idm/api/menus/:id/children': (req: any, res: any) => {
    const { id } = req.params;
    if (id) {
      const result = _.filter(menus, (m) => m.pid === id);
      res.send({
        code: 0,
        message: '成功',
        data: result,
      });
    } else {
      res.end();
    }
  },
};
